{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h1 class="text-center blanco-text">Nuevos Pedidos</h1>
                <form class="mb-4" action="/guardarPedido/" method="post" enctype="multipart/form-data" id="frm_nuevo_ped">
                    {% csrf_token %}
                    <div class="mb-3">
                        <select class="form-control blanco-text" name="id_cli" id="id_cli" required>
                            <option value="">--Seleccione el Cliente--</option>
                            {% for cliente in clientes %}
                                <option value="{{cliente.id_bf}}">{{cliente.nombre_bf}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="mb-3">
                        <label for="fecha_pedido_bf" class="form-label blanco-text">Fecha del Pedido:</label>
                        <input type="date" name="fecha_pedido_bf" id="fecha_pedido_bf" value="" class="form-control" placeholder="Ingrese la fecha del pedido" required>
                    </div>
                    <div class="mb-3">
                        <label for="tipo_servicio_bf" class="form-label blanco-text">Tipo de Servicio:</label>
                        <input type="text" name="tipo_servicio_bf" id="tipo_servicio_bf" value="" class="form-control" placeholder="Ingrese si desea servicio o llevar" required>
                    </div>
                    <div class="mb-3">
                        <label for="metodo_pago_bf" class="form-label blanco-text">Método de Pago:</label>
                        <input type="text" name="metodo_pago_bf" id="metodo_pago_bf" value="" class="form-control" placeholder="Ingrese el método de pago" required>
                    </div>
                    <div class="mb-3">
                        <label for="estado_bf" class="form-label blanco-text">Estado del Pedido:</label>
                        <input type="text" name="estado_bf" id="estado_bf" value="" class="form-control" placeholder="Ingrese el estado del pedido" required>
                    </div>
                    <div class="text-center">
                        <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                        <button type="reset" name="button" class="btn btn-danger">Cancelar</button>
                    </div>
                </form>
            </div>
            <div class="col-md-6">
                <h1 class="text-center blanco-text">LISTADO DE LOS PEDIDOS</h1>
                <table class="table" id="tbl_ped">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <TH>FECHA DEL PEDIDO</TH>
                            <th>TIPO DE SERVICIO</th>
                            <TH>MÉTODO DE PAGO</TH>
                            <TH>ESTADO DEL PEDIDO</TH>
                            <th>CLIENTE</th>
                            <TH>ACCIONES</TH>
                        </tr>
                    </thead>
                    <TBody>
                        {% for pedido in pedidos %}
                            <tr>
                                <td>{{ pedido.id_bf }}</td>
                                <td>{{ pedido.fecha_pedido_bf }}</td>
                                <td>{{ pedido.tipo_servicio_bf }}</td>
                                <td>{{ pedido.metodo_pago_bf }}</td>
                                <td>{{ pedido.estado_bf }}</td>
                                <td>{{ pedido.cliente.nombre_bf }}</td>
                                <td>
                                    <a href="/editarPedido/{{ pedido.id_bf }}" class="btn btn-warning">Editar</a>
                                    <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarPedido('/eliminarPedido/{{ pedido.id_bf }}');">Borrar</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </TBody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function eliminarPedido(url) {
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el pedido seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href = url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
        }
    </script>

    <script type="text/javascript">
        $("#frm_nuevo_ped").validate({
            rules: {
                "id_cli": {
                    required: true
                },
                "fecha_pedido_bf": {
                    required: true
                },
                "tipo_servicio_bf": {
                    required: true
                },
                "metodo_pago_bf": {
                    required: true
                },
                "estado_bf": {
                    required: true
                }
            },
            messages: {
                "id_cli": {
                    required: "Por favor seleccione un Cliente"
                },
                "fecha_pedido_bf": {
                    required: "Por favor ingrese una fecha válida"
                },
                "tipo_servicio_bf": {
                    required: "Debe ingresar un servicio válido"
                },
                "metodo_pago_bf": {
                    required: "Debe ingresar un método de pago válido"
                },
                "estado_bf": {
                    required: "Debe ingresar un estado válido"
                }
            }
        });
    </script>

    <script type="text/javascript">
           //let table = new DataTable('#tbl_clientes');
           $(document).ready(function() {
               $('#tbl_ped').DataTable({
                   dom: 'Bfrtip',
                   language: {
                     url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                   },
                   buttons: [
                       {
                           extend: 'pdfHtml5',
                           text: '<i class="fa fa-file-pdf-o"></i> PDF',
                           titleAttr: 'Exportar a PDF',
                           className: 'btn btn-danger', // Clase de estilo para el botón
                           title: 'LISTADO PEDIDOS'
                       },
                       {
                           extend: 'print',
                           text: '<i class="fa fa-print"></i> Imprimir',
                           titleAttr: 'Imprimir',
                           className: 'btn btn-primary' // Clase de estilo para el botón
                       },
                       {
                           extend: 'csv',
                           text: '<i class="fa fa-file-text-o"></i> CSV',
                           titleAttr: 'Exportar a CSV',
                           className: 'btn btn-success' // Clase de estilo para el botón
                       }
                   ]
               });
           });

          </script>
{% endblock %}
